import Vue from 'vue'
import Router from 'vue-router'
import index from '@/page/index'
import home from '@/page/content'
import layout from '@/page/Layout/layout.vue'
import toDoThings from '@/page/publicfunction/taskManager/toDoThings'
import finishedThings from '@/page/publicfunction/taskManager/finishedThings'
import toDoQualification from '@/page/publicfunction/taskManager/toDoQualification'
import finishedQualification from '@/page/publicfunction/taskManager/finishedQualification'
import helpManager from '@/page/publicfunction/helpDocument/helpManager'
import helpManagerAdd from '@/page/publicfunction/helpDocument/helpManagerAdd'
import helpDocument from '@/page/publicfunction/helpDocument/helpDocument'
import helpDocumentDetail from '@/page/publicfunction/helpDocument/helpDocumentDetail'
import themePage from '@/page/publicfunction/themePage/index'
import announcement from '@/page/publicfunction/announcement/announcement'
import announcementDetail from '@/page/publicfunction/announcement/announcementDetail'
import announcementJs from '@/page/publicfunction/announcementJs/announcementJs'
import announcementDetailJs from '@/page/publicfunction/announcementJs/announcementDetailJs'
Vue.use(Router)
export default new Router({
  // mode:'history',
  //ssss
  routes: [
    {
      path: '/publicfunction',
      name: 'index',
      component: index,
      children: [
        {
          path: '/publicfunction/home',
          name: 'home',
          component: home
        },
        {
          path: '/publicfunction/content',
          name: 'layout',
          component: layout,
          children: [
            {
              path: '/publicfunction/themePage',
              name: 'themePage',
              meta: {
                title: '主题风格设置'
              },
              component: themePage
            },
            {
              path: '/publicfunction/toDoThings',
              name: 'toDoThings',
              meta: {
                title: '待办事项'
              },
              component: toDoThings
            },
            {
              path: '/publicfunction/finishedThings',
              name: 'finishedThings',
              meta: {
                title: '已办事项'
              },
              component: finishedThings
            },
            {
              path: '/publicfunction/toDoQualification',
              name: '待办事项-承储资格申请',
              meta: {
                title: '待办事项'
              },
              component: toDoQualification
            },
            {
              path: '/publicfunction/finishedQualification',
              name: 'finishedQualification',
              meta: {
                title: '已办事项'
              },
              component: finishedQualification
            },
            {
              path: '/publicfunction/helpManager',
              name: 'helpManager',
              meta: {
                title: '帮助文档（管理页面）'
              },
              component: helpManager
            },
            {
              path: '/publicfunction/helpManagerAdd',
              name: 'helpManagerAdd',
              meta: {
                title: '帮助文档（管理页面）'
              },
              component: helpManagerAdd
            },
            {
              path: '/publicfunction/helpDocument',
              name: 'helpDocument',
              meta: {
                title: '帮助文档'
              },
              component: helpDocument
            },
            {
              path: '/publicfunction/helpDocumentDetail',
              name: 'helpDocumentDetail',
              meta: {
                title: '帮助文档'
              },
              component: helpDocumentDetail
            },
            {
              path: '/publicfunction/announcement',
              name: 'announcement',
              meta: {
                title: '通知公告'
              },
              component: announcement
            },
            {
              path: '/publicfunction/announcementDetail',
              name: 'announcementDetail',
              meta: {
                title: '通知公告'
              },
              component: announcementDetail
            },

            {
              path: '/publicfunction/announcementJs',
              name: 'announcementJs',
              meta: {
                title: '公告接收'
              },
              component: announcementJs
            },
            {
              path: '/publicfunction/announcementDetailJs',
              name: 'announcementDetailJs',
              meta: {
                title: '公告接收'
              },
              component: announcementDetailJs
            },
          ]
        }
      ]
    }
  ]
})